=== debian/changelog ===
vtk-dicom (0.5.3-1) unstable; urgency=low

  * New upstream. Closes: #755011

 -- Mathieu Malaterre <malat@debian.org>  Tue, 29 Jul 2014 14:07:06 +0200

vtk-dicom (0.5.2-1) unstable; urgency=low

  * New upstream
  * Remove patches applied upstream
    - debian/patches/underlink.patch
    - debian/patches/current.patch

 -- Mathieu Malaterre <malat@debian.org>  Tue, 15 Jul 2014 16:52:31 +0200

vtk-dicom (0.5.0-2) unstable; urgency=low

  * Add missing Conflicts/Replaces. Closes: #753467
  * Add Multi-Arch: same when missing
  * Remove local patches, applied upstream. Import from upstream.

 -- Mathieu Malaterre <malat@debian.org>  Fri, 04 Jul 2014 10:45:41 +0200

vtk-dicom (0.5.0-1) unstable; urgency=low

  * New upstream
  * Remove DCMTK option. Closes: #751222
  * Build Python and Java bindings. Closes: #752097

 -- Mathieu Malaterre <malat@debian.org>  Mon, 30 Jun 2014 12:38:00 +0200

vtk-dicom (0.4.5-1) unstable; urgency=low

  * New upstream. Remove patch applied upstream.
  * Really fix man page generation
  * Allow easier backport to wheezy
  * Remove lintian errors/warnings

 -- Mathieu Malaterre <malat@debian.org>  Fri, 25 Apr 2014 17:52:06 +0200

vtk-dicom (0.4.4-2) unstable; urgency=low

  * Add patch to allow backport to wheezy
  * Change to DebianMed uploaders
  * Properly set minimum vtk version
  * Use xz compression
  * Fix man pages generation

 -- Mathieu Malaterre <malat@debian.org>  Mon, 07 Apr 2014 11:55:21 +0200

vtk-dicom (0.4.4-1) unstable; urgency=low

  * New upstream.
    - remove patch applied upstream: d/p/missingstuff.patch
  * Upload to sid not that ABI is stable.

 -- Mathieu Malaterre <malat@debian.org>  Fri, 04 Apr 2014 17:19:25 +0200

vtk-dicom (0.4.3-1) experimental; urgency=low

  * Initial release. (Closes: #742217)

 -- Mathieu Malaterre <malat@debian.org>  Mon, 24 Mar 2014 12:01:00 +0100
