## vtk-dicom 0.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -79,7 +79,7 @@
 # Project version
 set(DICOM_MAJOR_VERSION 0)
 set(DICOM_MINOR_VERSION 5)
-set(DICOM_BUILD_VERSION 3)
+set(DICOM_BUILD_VERSION 5)
 set(DICOM_SHORT_VERSION "${DICOM_MAJOR_VERSION}.${DICOM_MINOR_VERSION}")
 set(DICOM_VERSION "${DICOM_SHORT_VERSION}.${DICOM_BUILD_VERSION}")
 
@@ -210,14 +210,14 @@
 # The library dependencies
 set(KWSYS_LIBS vtksys)
 if("${VTK_MAJOR_VERSION}" GREATER 5)
-  set(VTK_LIBS vtkCommonCore vtkCommonDataModel vtkIOImage) # VTK 6.x
+  set(VTK_LIBS vtkCommonCore vtkCommonDataModel vtkImagingCore vtkIOImage)
   # If vtkIOMPIImage is present, it has factories for vtkIOImage
   list(FIND VTK_LIBRARIES vtkIOMPIImage TMP_INDEX)
   if(TMP_INDEX GREATER -1)
     set(VTK_LIBS ${VTK_LIBS} vtkIOMPIImage)
   endif()
 else()
-  set(VTK_LIBS vtkCommon vtkFiltering vtkIO) # VTK 5.x
+  set(VTK_LIBS vtkCommon vtkFiltering vtkImaging vtkIO) # VTK 5.x
 endif()
 
 if(WIN32)
@@ -257,6 +257,8 @@
   vtkDICOMValue.cxx
   vtkDICOMWriter.cxx
   vtkDICOMToRAS.cxx
+  vtkDICOMCTRectifier.cxx
+  vtkDICOMMetaDataAdapter.cxx
   vtkNIFTIHeader.cxx
   vtkNIFTIReader.cxx
   vtkNIFTIWriter.cxx
@@ -297,6 +299,7 @@
   vtkDICOMItem.cxx
   vtkDICOMUtilities.cxx
   vtkDICOMValue.cxx
+  vtkDICOMMetaDataAdapter.cxx
 )
 
 set_source_files_properties(${LIB_SPECIAL} PROPERTIES WRAP_EXCLUDE ON)
@@ -378,6 +381,3 @@
     set(LIB_PYTHON_LIBS ${LIB_PYTHON_LIBS} ${TMP_LIB}PythonD)
   endforeach()
 
-  if(VTK_PYTHON_INCLUDE_DIR)
-    include_directories("${VTK_PYTHON_INCLUDE_DIR}")
-  endif()
