=== Programs/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,13 @@
-include_directories(${DICOM_INCLUDE_DIRS})
+include_directories(
+  ${DICOM_INCLUDE_DIRS}
+  ${DICOM_SOURCE_DIR}/DicomCli
+  ${DICOM_BINARY_DIR}/DicomCli
+)
 
 set(PROGRAM_SRCS
   dicomdump.cxx
+  dicomfind.cxx
+  dicomtodicom.cxx
   dicomtonifti.cxx
   niftitodicom.cxx
   niftidump.cxx
@@ -10,7 +16,7 @@
 if("${VTK_MAJOR_VERSION}" GREATER 5)
   set(VTK_IMAGING_LIBS vtkImagingStatistics) # VTK 6.x
 else()
-  set(VTK_IMAGING_LIBS vtkImaging) # VTK 5.x
+  set(VTK_IMAGING_LIBS) # VTK 5.x
 endif()
 
 set(BASE_LIBS vtkDICOM ${VTK_LIBS})
@@ -18,10 +24,12 @@
  set(BASE_LIBS ${BASE_LIBS} ${DCMTK_charls_LIBRARY})
 endif()
 
+set(CLI_LIBS dicomcli)
+
 foreach(src ${PROGRAM_SRCS})
   string(REGEX REPLACE "\\.(cxx|c|mm|m)$" "" prog ${src})
   add_executable(${prog} ${src})
-  target_link_libraries(${prog} ${BASE_LIBS}
+  target_link_libraries(${prog} ${BASE_LIBS} ${CLI_LIBS}
     ${VTK_IMAGING_LIBS} ${KWSYS_LIBS})
   list(APPEND PROGRAM_EXES ${prog})
 endforeach()
