=== debian/changelog ===
vtk-dicom (0.5.5-2) unstable; urgency=low

  * Do not link explicitly to libpython. Closes: #762102
  * Do not clutter jar file with java source code. Closes: #762112

 -- Mathieu Malaterre <malat@debian.org>  Wed, 24 Sep 2014 14:17:38 +0200

vtk-dicom (0.5.5-1) unstable; urgency=low

  * New upstream
    - add missing man pages (dicomfind/dicomtodicom)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 28 Aug 2014 13:24:50 +0200
