=== debian/control ===
Source: vtk-dicom
Section: graphics
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: cmake (>= 2.6.3),
               debhelper (>= 9),
               default-jdk,
               help2man,
               javahelper,
               libgdcm2-dev,
               libvtk-java,
               libvtk5-dev (>= 5.8),
               python-all-dev,
               python-vtk
Homepage: http://github.com/dgobbi/vtk-dicom/
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/vtk-dicom/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/vtk-dicom/trunk
Standards-Version: 3.9.5
X-Python-Version: 2.7

Package: libvtk-dicom0.5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libvtk-dicom0.5 (= ${binary:Version}), ${misc:Depends}
Replaces: libvtk-dicom0.4-dev
Conflicts: libvtk-dicom0.4-dev
Provides: libvtk-dicom-dev
Description: DICOM for VTK - dev
 This package contains a set of classes for managing DICOM
 files and metadata from within VTK, and some utility programs
 for interrogating and converting DICOM files.
 .
 Development headers

Package: libvtk-dicom0.5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: DICOM for VTK - lib
 This package contains a set of classes for managing DICOM
 files and metadata from within VTK, and some utility programs
 for interrogating and converting DICOM files.
 .
 Libraries for runtime applications

Package: vtk-dicom-tools
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: DICOM for VTK - tools
 This package contains a set of classes for managing DICOM
 files and metadata from within VTK, and some utility programs
 for interrogating and converting DICOM files.
 .
 Command line tools

Package: libvtk-dicom-java
Section: java
Architecture: any
Depends: ${java:Depends}, ${misc:Depends}, ${shlibs:Depends}
Suggests: java-virtual-machine
Description: DICOM for VTK - java
 This package contains a set of classes for managing DICOM
 files and metadata from within VTK, and some utility programs
 for interrogating and converting DICOM files.
 .
 Java 1.5 bindings

Package: python-vtk-dicom
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: DICOM for VTK - python
 This package contains a set of classes for managing DICOM
 files and metadata from within VTK, and some utility programs
 for interrogating and converting DICOM files.
 .
 Python 2.x bindings
