=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 	dh_install -p$(pkg_py2) --autodest usr/lib/$(DEB_HOST_MULTIARCH)/libvtkDICOMPythonD.so*
 	dh_install -p$(pkg_py2) usr/lib/$(DEB_HOST_MULTIARCH)/vtkDICOMPython.so usr/lib/python$(PYVER)/dist-packages
 	# java
-	dh_install -p$(pkg_java) usr/lib/$(DEB_HOST_MULTIARCH)/libvtkDICOMJava.so usr/lib/jni/$(DEB_HOST_MULTIARCH)
+	dh_install -p$(pkg_java) usr/lib/$(DEB_HOST_MULTIARCH)/libvtkDICOMJava.so usr/lib/$(DEB_HOST_MULTIARCH)/jni
 	dh_install -p$(pkg_java) --autodest usr/share/java/vtkdicom.jar
 	dh_install --list-missing
 
@@ -63,7 +63,7 @@
 	help2man --help-option=--help --include=$< --version-option=--version --version-string=$(VERSION) \
     --output=$@ --no-info --name="vtk-dicom CLI" ./obj-*/bin/`basename $@ .1`
 
-manpages: debian/dicomdump.1 debian/dicomtonifti.1 debian/niftidump.1 debian/niftitodicom.1
+manpages: debian/dicomdump.1 debian/dicomtonifti.1 debian/niftidump.1 debian/niftitodicom.1 debian/dicomfind.1 debian/dicomtodicom.1
 	echo "manpages"
 
 override_dh_installman: manpages
